package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S3011对象 t_monthly_quality_report_s3011
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS3011 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 一氧化碳含量 */
    @Excel(name = "一氧化碳含量")
    private String carbonMonoxide;

    /** 甲烷	 */
    @Excel(name = "甲烷	")
    private String methane;

    /** 乙烷 */
    @Excel(name = "乙烷")
    private String ethane;

    /** 乙烯 */
    @Excel(name = "乙烯")
    private String ethylene;

    /** 丙烷	 */
    @Excel(name = "丙烷	")
    private String propane;

    /** 环丙烷	 */
    @Excel(name = "环丙烷	")
    private String cycPropane;

    /** 丙烯	 */
    @Excel(name = "丙烯	")
    private String propylene;

    /** 丙二烯	 */
    @Excel(name = "丙二烯	")
    private String propadiene;

    /** 乙炔 */
    @Excel(name = "乙炔")
    private String acetylene;

    /** 氢气 */
    @Excel(name = "氢气")
    private String hydrogen;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    /** 甲基乙炔 */
    private String methylacetylene;

    public String getMethylacetylene() {
        return methylacetylene;
    }

    public void setMethylacetylene(String methylacetylene) {
        this.methylacetylene = methylacetylene;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setCarbonMonoxide(String carbonMonoxide)
    {
        this.carbonMonoxide = carbonMonoxide;
    }

    public String getCarbonMonoxide()
    {
        return carbonMonoxide;
    }
    public void setMethane(String methane)
    {
        this.methane = methane;
    }

    public String getMethane()
    {
        return methane;
    }
    public void setEthane(String ethane)
    {
        this.ethane = ethane;
    }

    public String getEthane()
    {
        return ethane;
    }
    public void setEthylene(String ethylene)
    {
        this.ethylene = ethylene;
    }

    public String getEthylene()
    {
        return ethylene;
    }
    public void setPropane(String propane)
    {
        this.propane = propane;
    }

    public String getPropane()
    {
        return propane;
    }
    public void setCycPropane(String cycPropane)
    {
        this.cycPropane = cycPropane;
    }

    public String getCycPropane()
    {
        return cycPropane;
    }
    public void setPropylene(String propylene)
    {
        this.propylene = propylene;
    }

    public String getPropylene()
    {
        return propylene;
    }
    public void setPropadiene(String propadiene)
    {
        this.propadiene = propadiene;
    }

    public String getPropadiene()
    {
        return propadiene;
    }
    public void setAcetylene(String acetylene)
    {
        this.acetylene = acetylene;
    }

    public String getAcetylene()
    {
        return acetylene;
    }
    public void setHydrogen(String hydrogen)
    {
        this.hydrogen = hydrogen;
    }

    public String getHydrogen()
    {
        return hydrogen;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("carbonMonoxide", getCarbonMonoxide())
            .append("methane", getMethane())
            .append("ethane", getEthane())
            .append("ethylene", getEthylene())
            .append("propane", getPropane())
            .append("cycPropane", getCycPropane())
            .append("propylene", getPropylene())
            .append("propadiene", getPropadiene())
            .append("acetylene", getAcetylene())
            .append("hydrogen", getHydrogen())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
